//
//  GetBuildIDsOfPrereleaseVersionTests.swift
//  AppStoreConnect-Swift-SDK_Tests
//
//  Created by Pascal Edmond on 30/11/2018.
//

import XCTest
@testable import AppStoreConnect_Swift_SDK

final class GetBuildIDsOfPrereleaseVersionTests: XCTestCase {
    
    func testURLRequest() {
        let endpoint = APIEndpoint.buildIDs(
            ofPrereleaseVersionWithId: "prereleaseVersionId",
            limit: 2)
        let request = try? endpoint.asURLRequest()
        XCTAssertEqual(request?.httpMethod, "GET")
        
        let absoluteString = request?.url?.absoluteString
        let expected = "https://api.appstoreconnect.apple.com/v1/preReleaseVersions/prereleaseVersionId/relationships/builds?limit=2"
        XCTAssertEqual(absoluteString, expected)
    }
}
